/*
 * Class ARRAY [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1824 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1824 [] = {0xFF01,1551,1823,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1824 [] = {0xFF01,1823,848,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1824 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1824 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1824 [] = {0xFF01,1823,848,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1824 [] = {0xFF01,1823,848,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1824 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1824 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1824 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1824 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1824 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1824 [] = {1823,848,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1824 [] = {0xFF01,1823,848,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1824 [] = {0xFF01,1824,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1824 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1824 [] = {0xFF01,1819,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1824 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1824 [] = {0xFF01,1817,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1824 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1824 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1824 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1824 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1824 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1824 [] = {0xFF01,1846,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1824 [] = {0xFF01,1817,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1824 [] = {0xFF01,1823,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1824 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1824 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1824 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1824 [] = {0xFF01,580,0xFFFF};


static const struct desc_info desc_1824[] = {
	{EIF_GENERIC(NULL), 11552, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1824), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1824), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11509, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1824), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11547, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1824), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1824), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1824), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1824), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1824), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1824), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1824), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1824), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1824), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1824), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1824), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11502, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8634, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1824), 11546, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1824), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9430, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9431, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9426, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9428, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11537, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11515, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11516, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9064, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11550, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11549, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11530, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1824), 11016, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1824), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1824), 10471, 0},
	{EIF_GENERIC(NULL), 10464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10465, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1824), 11499, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1824), 11500, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11514, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11519, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10470, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1824), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11493, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11494, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11495, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11496, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11497, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11498, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1824), 11501, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11503, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11504, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11510, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11511, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11513, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11518, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11520, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11521, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11522, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11523, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11524, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11525, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11526, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11527, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11528, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11529, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11531, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11532, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11533, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11534, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11535, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11536, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11538, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11539, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11540, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11542, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1824), 11543, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1824), 11544, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1824), 11545, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1824), 11548, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11551, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1824), 11499, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1824), 11500, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11514, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11519, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11519, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1824), 11499, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1824), 11508, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11514, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11505, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11506, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11517, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11507, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11512, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1824(void)
{
	IDSC(desc_1824, 0, 1823);
	IDSC(desc_1824 + 1, 1, 1823);
	IDSC(desc_1824 + 32, 1134, 1823);
	IDSC(desc_1824 + 41, 586, 1823);
	IDSC(desc_1824 + 47, 1135, 1823);
	IDSC(desc_1824 + 56, 1088, 1823);
	IDSC(desc_1824 + 58, 1422, 1823);
	IDSC(desc_1824 + 67, 4, 1823);
	IDSC(desc_1824 + 105, 916, 1823);
	IDSC(desc_1824 + 111, 1570, 1823);
	IDSC(desc_1824 + 114, 554, 1823);
	IDSC(desc_1824 + 115, 1395, 1823);
	IDSC(desc_1824 + 117, 778, 1823);
	IDSC(desc_1824 + 118, 878, 1823);
	IDSC(desc_1824 + 119, 794, 1823);
}


#ifdef __cplusplus
}
#endif
